// 说明 ：用 Javascript 实现锚点(Anchor)间平滑跳转
    // 来源 ：ThickBox 2.1 
    // 整理 ：Yanfu Xie [xieyanfu@yahoo.com.cn] 
    // 网址 ：http://www.codebit.cn 
    // 日期 ：07.01.17 
    
    // 转换为数字
function intval(v)
{
	v = parseInt(v);
	return isNaN(v) ? 0 : v;
}

// 获取元素信息
function getPos(e)
{
	var l = 0;
	var t  = 0;
	var w = intval(e.style.width);
	var h = intval(e.style.height);
	var wb = e.offsetWidth;
	var hb = e.offsetHeight;
	while (e.offsetParent){
		l += e.offsetLeft + (e.currentStyle?intval(e.currentStyle.borderLeftWidth):0);
		t += e.offsetTop  + (e.currentStyle?intval(e.currentStyle.borderTopWidth):0);
		e = e.offsetParent;
	}
	l += e.offsetLeft + (e.currentStyle?intval(e.currentStyle.borderLeftWidth):0);
	t  += e.offsetTop  + (e.currentStyle?intval(e.currentStyle.borderTopWidth):0);
	return {x:l, y:t, w:w, h:h, wb:wb, hb:hb};
}

// 获取滚动条信息
function getScroll() 
{
	var t, l, w, h;
	
	if (__targetForm.document.documentElement && __targetForm.document.documentElement.scrollTop) {
		t = __targetForm.document.documentElement.scrollTop;
		l = __targetForm.document.documentElement.scrollLeft;
		w = __targetForm.document.documentElement.scrollWidth;
		h = __targetForm.document.documentElement.scrollHeight;
	} else if (__targetForm.document.body) {
		t = __targetForm.document.body.scrollTop;
		l = __targetForm.document.body.scrollLeft;
		w = __targetForm.document.body.scrollWidth;
		h = __targetForm.document.body.scrollHeight;
	}
	return { t: t, l: l, w: w, h: h };
}

var __targetForm;
// 锚点(Anchor)间平滑跳转
function scroller(el, duration,targetForm)
{   if(targetForm==null)targetForm=self;
    __targetForm=targetForm;
	if(typeof el != 'object') { el = __targetForm.document.getElementById(el); }

	if(!el) return;

	var z = this;
	z.el = el;
	z.p = getPos(el);
	z.s = getScroll();
	z.clear = function(){__targetForm.window.clearInterval(z.timer);z.timer=null};
	z.t=(new Date).getTime();

	z.step = function(){
		var t = (new Date).getTime();
		var p = (t - z.t) / duration;
		if (t >= duration + z.t) {
			z.clear();
			__targetForm.window.setTimeout(function(){z.scroll(z.p.y, z.p.x)},13);
		} else {
			st = ((-Math.cos(p*Math.PI)/2) + 0.5) * (z.p.y-z.s.t) + z.s.t;
			sl = ((-Math.cos(p*Math.PI)/2) + 0.5) * (z.p.x-z.s.l) + z.s.l;
			z.scroll(st, sl);
		}
	};
	z.scroll = function (t, l){__targetForm.window.scrollTo(l, t);alert(l+","+ t+"  "+z.p.x+","+z.p.y);};
	z.timer = __targetForm.window.setInterval(function(){z.step();},13);
}